ArrayQueryParameterType(array_type, *, name=None, description=None)Type representation for array query parameters.
Parameters |
|
|---|---|
| Name | Description |
array_type |
Union[ScalarQueryParameterType, StructQueryParameterType]
The type of array elements. |
name |
Optional[str]
The name of the query parameter. Primarily used if the type is one of the subfields in |
description |
Optional[str]
The query parameter description. Primarily used if the type is one of the subfields in |
Methods
from_api_repr
from_api_repr(resource)Factory: construct parameter type from JSON resource.
| Parameter | |
|---|---|
| Name | Description |
resource |
Dict
JSON mapping of parameter |
| Returns | |
|---|---|
| Type | Description |
google.cloud.bigquery.query.ArrayQueryParameterType |
Instance |
to_api_repr
to_api_repr()Construct JSON API representation for the parameter type.
| Returns | |
|---|---|
| Type | Description |
Dict |
JSON mapping |